/**
 * Helper JS file for the settings form.
 */
(function ($) {
    Drupal.behaviors.views_row_insert = {
        attach: function (context, settings) {

            /**
             *  Shows/hides form element.
             *  @param type
             *  a string containing 'block' or 'text' value
             *  @param mode
             *  a string argument for show()/hide() jQuery functions.
             */
            function showElement(type, mode) {
                if (type === 'block') {
                    $('.form-item-style-options-custom-row-data').hide(mode);
                    $('.form-item-style-options-block-name').show(mode);
                } else {
                    $('.form-item-style-options-custom-row-data').show(mode);
                    $('.form-item-style-options-block-name').hide(mode);
                }
            }

            $('input:radio[name="style_options[data_mode]"]').change(
                function(){
                    if ($(this).is(':checked') && $(this).val() === 'block') {
                        showElement('block', 'slow');
                    } else {
                        showElement('text', 'slow');
                    }
                });
            if (Drupal.settings.views_row_insert.data_mode === 'block') {
                showElement('block', '');
            } else {
                showElement('text', '');
            }
         }
    };
}(jQuery));
